using System;
using System.IO;
using System.Collections;

namespace Sample
{
	class Test
	{
		
		static void Main(string[] args)
		{
            // This sample shows how to specify page numbers
			SautinSoft.PdfMetamorphosis p = new SautinSoft.PdfMetamorphosis();

			// After purchasing the license, please insert your serial number here to activate the component
			//p.Serial = "XXXXXXXXXXX";

            //Page 1 of N, position: 30 mm from the left of the page
            p.PageSettings.Numbering.Text = "Page {page} of {numpages}";
            p.PageSettings.Numbering.PosX.Mm = 30;
            p.PageSettings.Numbering.PosY.Mm = 10;
            p.PageSettings.Numbering.FontFace = "Courirer";
            p.PageSettings.Numbering.FontSize = 22;
            
            
            // This is page number N
            //p.PageSettings.Numbering.Text = "This is page number {page}";

			if (p != null)
			{
				string rtfPath = @"..\..\..\..\..\test.rtf";
				string pdfPath = @"..\..\..\..\..\test.pdf";

				int i = p.RtfToPdfConvertFile(rtfPath,pdfPath);

				if (i !=0)
				{
					System.Console.WriteLine("An error occured during converting RTF to PDF!");
				}
				else
				{
					System.Diagnostics.Process.Start(pdfPath);
				}
			}
		}
	}
}
