Imports System
Imports System.IO
Imports System.Text

Module sample

    Sub Main()
        'How to set page size, orientation and margins
        Dim p As New SautinSoft.PdfMetamorphosis()

        'After purchasing the license, please insert your serial number here to activate the component
        'p.Serial = "XXXXXXXXXXX";

        'Let's set: A3, Landscape orientation, left and right margins: 1.5 Inch, top and bottom: 1 Inch
        p.PageSettings.Size.A3()
        p.PageSettings.Orientation = SautinSoft.PdfMetamorphosis.PageSetting.Orientations.Landscape
        p.PageSettings.MarginLeft.Inch(1.5F)
        p.PageSettings.MarginRight.Inch(1.5F)
        p.PageSettings.MarginTop.Inch(1.0F)
        p.PageSettings.MarginBottom.Inch(1.0F)

        If p IsNot Nothing Then
            Dim rtfPath As String = "..\..\..\..\..\test.rtf"
            Dim pdfPath As String = "..\..\..\..\..\test.pdf"

            Dim i As Integer = p.RtfToPdfConvertFile(rtfPath, pdfPath)

            If i <> 0 Then
                System.Console.WriteLine("An error occured during converting RTF to PDF!")
            Else
                System.Diagnostics.Process.Start(pdfPath)
            End If
        End If
    End Sub
End Module